Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor.debugging
Class PrettyPrintWriter

    java.lang.Object
      org.apache.struts2.interceptor.debugging.PrettyPrintWriter

    public class PrettyPrintWriter

extends java.lang.Object

Constructor Summary
`PrettyPrintWriter(java.io.Writer writer)`
`PrettyPrintWriter(java.io.Writer writer, char[] lineIndenter)`
`PrettyPrintWriter(java.io.Writer writer, char[] lineIndenter, java.lang.String newLine)`
`PrettyPrintWriter(java.io.Writer writer, java.lang.String lineIndenter)`
`PrettyPrintWriter(java.io.Writer writer, java.lang.String lineIndenter, java.lang.String newLine)`

Method Summary
`void` | `addAttribute(java.lang.String key, java.lang.String value)`
`void` | `close()`
`void` | `endNode()`
`protected void` | `endOfLine()`
`void` | `flush()`
`boolean` | `isEscape()`
`void` | `setEscape(boolean escape)`
`void` | `setValue(java.lang.String text)`
`void` | `startNode(java.lang.String name)`
`protected void` | `writeAttributeValue(java.io.PrintWriter writer, java.lang.String text)`
`protected void` | `writeText(java.io.PrintWriter writer, java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.Writer writer,
                             char[] lineIndenter,
                             java.lang.String newLine)

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.Writer writer,
                             char[] lineIndenter)

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.Writer writer,
                             java.lang.String lineIndenter,
                             java.lang.String newLine)

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.Writer writer,
                             java.lang.String lineIndenter)

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.Writer writer)

Method Detail

### startNode

    public void startNode(java.lang.String name)

### setValue

    public void setValue(java.lang.String text)

### addAttribute

    public void addAttribute(java.lang.String key,
                             java.lang.String value)

### writeAttributeValue

    protected void writeAttributeValue(java.io.PrintWriter writer,
                                       java.lang.String text)

### writeText

    protected void writeText(java.io.PrintWriter writer,
                             java.lang.String text)

### endNode

    public void endNode()

### endOfLine

    protected void endOfLine()

### flush

    public void flush()

### close

    public void close()

### isEscape

    public boolean isEscape()

### setEscape

    public void setEscape(boolean escape)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.